package com.zskk.controller;

import com.jfinal.core.Controller;
import com.zskk.controller.bean.ResultBean;
import com.zskk.service.DicomCMoveService;
import com.zskk.service.DicomEchoService;
import com.zskk.service.InfoService;
import com.zskk.service.ServiceFactory;
import com.zskk.util.ErrorConstant;

public class DicomController extends Controller {
	
	/**
	 * calledAeTitle-calledAeTitle,host-ip,port-端口号
	 */
	public void cEcho() {
        String calledAeTitle = getPara("calledAeTitle");
        String host = getPara("host");
        Integer port = getParaToInt("port");

		DicomEchoService dService = ServiceFactory.getService(DicomEchoService.class);
		try {
			dService.doEcho(calledAeTitle, host, port);
			renderText("DICOM Echo succeed!");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			renderText("DICOM Echo faild for reason:" + e.toString());
		}
	}
	
	public void cMove() {
        String studyuid = getPara("studyuid");

        DicomCMoveService dService =  new DicomCMoveService();
        
		try {
			String resultString = dService.doMove(studyuid);;
			renderText("result:" + resultString);
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
			renderText("DICOM CMove faild...");
		}
	}
	
	public void getOrderInfo() {
        String applyNo = getPara("applyNo");
		InfoService iService = ServiceFactory.getService(InfoService.class);
		String resultString =  iService.getOrderInfo(applyNo);
		if (resultString == null) {
			renderJson(ErrorConstant.ERROR_NOT_FOUND);
		}else {
			renderJson(new ResultBean(resultString));
		}
	}
	
}
